Package org.apache.lucene.index

# Class DocsWithFieldSet

java.lang.Object
org.apache.lucene.search.DocIdSet
org.apache.lucene.index.DocsWithFieldSet

All Implemented Interfaces:
  `Accountable`

public final class DocsWithFieldSet extends DocIdSet
Accumulator for documents that have a value for a field. This is optimized for the case that all documents have a value.

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.search.DocIdSet

  `EMPTY`

  ### Fields inherited from interface org.apache.lucene.util.Accountable

  `NULL_ACCOUNTABLE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DocsWithFieldSet()`
  Creates an empty DocsWithFieldSet.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(int docID)`
  Add a document to the set
  `int`
  `cardinality()`
  Return the number of documents of this set.
  `DocIdSetIterator`
  `iterator()`
  Provides a `DocIdSetIterator` to access the set.
  `long`
  `ramBytesUsed()`
  Return the memory usage of this object in bytes.

  ### Methods inherited from class org.apache.lucene.search.DocIdSet

  `all, bits`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.lucene.util.Accountable

  `getChildResources`

- ## Constructor Details

  - ### DocsWithFieldSet

    public DocsWithFieldSet()
    Creates an empty DocsWithFieldSet.

- ## Method Details

  - ### add

    public void add(int docID)
    Add a document to the set
    Parameters:
      `docID` - – document ID to be added

  - ### ramBytesUsed

    public long ramBytesUsed()
    Description copied from interface: `Accountable`
    Return the memory usage of this object in bytes. Negative values are illegal.

  - ### iterator

    public DocIdSetIterator iterator()
    Description copied from class: `DocIdSet`
    Provides a `DocIdSetIterator` to access the set. This implementation can return `null` if there are no docs that match.
    Specified by:
      `iterator` in class `DocIdSet`

  - ### cardinality

    public int cardinality()
    Return the number of documents of this set.